# wxPersistentTreeBook Class Reference

`#include </home/work/projects/wx/2.9/wx/interface/wx/persist/treebook.h>`

Inheritance diagram for wxPersistentTreeBook:
[legend]

## Detailed Description

Persistence adapter for wxTreebook.

This adapter saves and restores the expanded branches of the wxTreeCtrl used by wxTreebook, in addition to saving and restoring the selection as implemented by the base wxPersistentBookCtrl class.

## Public Member Functions

| wxPersistentTreeBook (wxTreebook *book)
| Constructor.
virtual void | Save () const
| Save the currently opened branches.
virtual bool | Restore ()
| Restore the opened branches.

List of all members.

## Constructor & Destructor Documentation

wxPersistentTreeBook::wxPersistentTreeBook | ( | wxTreebook * | book | ) |

Constructor.

Parameters:

  | book | The associated tree book control.

## Member Function Documentation

virtual bool wxPersistentTreeBook::Restore | ( |  | ) | `[virtual]`

Restore the opened branches.

The book control must be initialized before calling this function, i.e. all of its pages should be already added to it.

Reimplemented from wxPersistentBookCtrl.

virtual void wxPersistentTreeBook::Save | ( |  | ) | const`[virtual]`

Save the currently opened branches.

Reimplemented from wxPersistentBookCtrl.

|  | [ top ]